zabbix_export:
  version: '6.0'
  date: '2023-09-30T19:27:27Z'
  groups:
    - uuid: 22941f4e01294888a9bed3aae15f6ef9
      name: Templates/AWNET
  templates:
    - uuid: e7223de11bb74d62b29ed0d5918e9060
      template: rspamd
      name: rspamd
      groups:
        - name: Templates/AWNET
      items:
        - uuid: 8503b9843e35409f975709598a19b59e
          name: 'STAT: Добавление заголовка'
          type: DEPENDENT
          key: awnet.rspamd.stats.add_header
          delay: '0'
          preprocessing:
            - type: JSONPATH
              parameters:
                - '$.actions["add header"]'
          master_item:
            key: 'vfs.file.contents[{$RSPAMD.STATS}]'
        - uuid: 6a3048a5c1cc45ffad0ea0180a985d47
          name: 'STAT: Соединений'
          type: DEPENDENT
          key: awnet.rspamd.stats.connections
          delay: '0'
          preprocessing:
            - type: JSONPATH
              parameters:
                - $.connections
          master_item:
            key: 'vfs.file.contents[{$RSPAMD.STATS}]'
        - uuid: 4eaec9840db146c5ba7e5fedd6be1ee5
          name: 'STAT: Служебных соединений'
          type: DEPENDENT
          key: awnet.rspamd.stats.control_connections
          delay: '0'
          preprocessing:
            - type: JSONPATH
              parameters:
                - $.control_connections
          master_item:
            key: 'vfs.file.contents[{$RSPAMD.STATS}]'
        - uuid: 7204d5b6c02240c49692d9fa9d13e69b
          name: 'STAT: Отработка по схеме серого списка'
          type: DEPENDENT
          key: awnet.rspamd.stats.greylist
          delay: '0'
          preprocessing:
            - type: JSONPATH
              parameters:
                - $.actions.greylist
          master_item:
            key: 'vfs.file.contents[{$RSPAMD.STATS}]'
        - uuid: 7dfb5756c284479081315bc986353c3e
          name: 'STAT: Отправлено в обучающие механизмы'
          type: DEPENDENT
          key: awnet.rspamd.stats.learned
          delay: '0'
          preprocessing:
            - type: JSONPATH
              parameters:
                - $.learned
          master_item:
            key: 'vfs.file.contents[{$RSPAMD.STATS}]'
        - uuid: 6e8e201587b34ae7bf4c77461aa1b0e6
          name: 'STAT: Принято без претензий'
          type: DEPENDENT
          key: awnet.rspamd.stats.no_action
          delay: '0'
          preprocessing:
            - type: JSONPATH
              parameters:
                - '$.actions["no action"]'
          master_item:
            key: 'vfs.file.contents[{$RSPAMD.STATS}]'
        - uuid: 1536636235d043e79679b6bcc608b8c8
          name: 'STAT: Отброшено сообщений'
          type: DEPENDENT
          key: awnet.rspamd.stats.reject
          delay: '0'
          preprocessing:
            - type: JSONPATH
              parameters:
                - $.actions.reject
          master_item:
            key: 'vfs.file.contents[{$RSPAMD.STATS}]'
        - uuid: 97d38f7235244b1a9ebeca7925ff3c76
          name: 'STAT: Метка темы'
          type: DEPENDENT
          key: awnet.rspamd.stats.rewrite_subject
          delay: '0'
          preprocessing:
            - type: JSONPATH
              parameters:
                - '$.actions["rewrite subject"]'
          master_item:
            key: 'vfs.file.contents[{$RSPAMD.STATS}]'
        - uuid: 525c54f1d30c480baaa4dbc160c5ba97
          name: 'STAT: Отсканировано'
          type: DEPENDENT
          key: awnet.rspamd.stats.scanned
          delay: '0'
          preprocessing:
            - type: JSONPATH
              parameters:
                - $.scanned
          master_item:
            key: 'vfs.file.contents[{$RSPAMD.STATS}]'
        - uuid: a2b5ea4f60164fa3a5edbad812a63e32
          name: 'STAT: Отброшено мягко'
          type: DEPENDENT
          key: awnet.rspamd.stats.soft_reject
          delay: '0'
          preprocessing:
            - type: JSONPATH
              parameters:
                - '$.actions["soft reject"]'
          master_item:
            key: 'vfs.file.contents[{$RSPAMD.STATS}]'
        - uuid: 0f097475d0d64ce8b3423c3a7af4a927
          name: 'Состоянии порта управления'
          key: 'net.tcp.service[tcp,,{$RSPAMD.PORT}]'
          valuemap:
            name: 'Socket status'
          triggers:
            - uuid: 5bbbcffdb5464c0181b2e033ecbbbdce
              expression: 'last(/rspamd/net.tcp.service[tcp,,{$RSPAMD.PORT}])=0'
              name: 'Не доступен сервис управления'
              priority: HIGH
        - uuid: d91d4a931d204ce798e1e3f2e867b681
          name: 'Статистика сервиса'
          key: 'vfs.file.contents[{$RSPAMD.STATS}]'
          delay: 3m
          trends: '0'
          value_type: TEXT
        - uuid: 0f7f2b350233419f8963b22b735f92e9
          name: 'Обновление файла статистики'
          key: 'vfs.file.time[{$RSPAMD.STATS}]'
          units: unixtime
          triggers:
            - uuid: 1e0b231eb0d14d75bfcff0bbdb026cb3
              expression: 'now() - last(/rspamd/vfs.file.time[{$RSPAMD.STATS}])>15m'
              name: 'Слишком долго не обновлялся файл статистики'
              priority: HIGH
      tags:
        - tag: Application
          value: rspamd
      macros:
        - macro: '{$RSPAMD.PORT}'
          value: '11334'
          description: 'Порт управления'
        - macro: '{$RSPAMD.STATS}'
          value: /var/db/rspamd/stats.ucl
          description: 'Статистика сервиса'
      valuemaps:
        - uuid: 68a58b2ffb5e4703b392322cb801bf73
          name: 'Socket status'
          mappings:
            - value: '1'
              newvalue: OK
            - value: '0'
              newvalue: 'Connection FAIL'
